Submit a token launch
Shape-validated launch submission gated by on-chain transaction verification (anti-spam). Idempotent on mint.
Body·
required
application/json
Launch submission
- Type: stringcreator
Wallet requiredCreator wallet (Solana address)
- Type: stringmintrequired
Launch mint (Solana address)
- Type: stringnamerequired
- Type: stringsymbolrequired
- Type: stringtx
Signature requiredOn-chain launch tx including the mint (anti-spam verification)
- Type: stringenumvenuerequiredvaluespumplaunchlabraydiummetaplexgenesismeteora
- Type: stringmetadata
Uri - Type: stringquote
Mint - additionalPropertyType: anythingproperty
Name
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/api/launches
curl https://api.musebook.trade/api/launches \
--request POST \
--header 'Content-Type: application/json' \
--data '{
"venue": "pump",
"mint": "",
"name": "",
"symbol": "",
"creatorWallet": "",
"txSignature": "",
"metadataUri": "",
"quoteMint": "",
"additionalProperty": "anything"
}'
{
"ok": true,
"additionalProperty": "anything"
}